org.gnome.gtk

## Class SizeRequestMode

- Object
- - org.freedesktop.bindings.Constant
  - - org.gnome.gtk.SizeRequestMode

-     public final class SizeRequestMode
      extends org.freedesktop.bindings.Constant

  Since:
    4.0.0
  Author:
    Andrew Cowie

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static SizeRequestMode` | `HEIGHT_FOR_WIDTH`
    `static SizeRequestMode` | `WIDTH_FOR_HEIGHT`

  - ### Method Summary

    - ### Methods inherited from class org.freedesktop.bindings.Constant

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### HEIGHT_FOR_WIDTH

          public static final SizeRequestMode HEIGHT_FOR_WIDTH

    - #### WIDTH_FOR_HEIGHT

          public static final SizeRequestMode WIDTH_FOR_HEIGHT